Retrieve

View as Markdown

Returns a single order by its unique identifier.

This endpoint is accessible with a recognized trust group by setting it as <trust_level: “recognized”> in the authentication string.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Path parameters

order_idstringRequired
Unique order ID

Query parameters

include_has_planbooleanOptionalDefaults to false

If true, the response includes a has_plan field on the order object indicating whether the order contains at least one product with product_type=plan

Response

200
merchantstringOptional
customerstringOptional
paymentstringOptional
shipping_addressstringOptional
public_idstringOptional
sub_totalstringOptional
tax_totalstringOptional
shipping_totalstringOptional
discount_totalstringOptional
totalstringOptional
createdstringOptional
placestringOptional
cancelledstringOptional
triesintegerOptionalDefaults to 0
generic_error_countintegerOptionalDefaults to 0
statusintegerOptionalDefaults to 0
typeintegerOptionalDefaults to 0
order_merchant_idstringOptional
rejected_messagestringOptional
extra_datastringOptional
lockedbooleanOptionalDefaults to true
oos_free_shippingbooleanOptionalDefaults to true

Errors

403
Forbidden Error
404
Not Found Error